## nvidia-common 0.2.44.2

=== share/hybrid/Makefile ===
#!/usr/bin/make -f

PROGRAM = hybrid-detect
PROGRAM_FILES = hybrid-detect.c
CC = gcc
CFLAGS =-g -Wall $(shell pkg-config --cflags --libs pciaccess)

all: build

build:
	$(CC) -o $(PROGRAM) $(PROGRAM_FILES) $(CFLAGS)

clean:
	@rm -f $(PROGRAM)

## nvidia-common 0.2.4

=== debian/changelog ===
nvidia-common (0.2.4) intrepid; urgency=low

  * Do not raise an exception if self.drivers is empty (LP: #272196)

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Mon, 06 Oct 2008 14:51:17 +0200

nvidia-common (0.2.3) intrepid; urgency=low

  * Move the hard work in debian/rules to binary-arch now that we're
    architecture-dependent.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 27 Aug 2008 15:37:20 +0100

nvidia-common (0.2.2) intrepid; urgency=low

  * Set Architecture to i386 amd64 in debian/control
  * Move Build-Depends-Indep to Build-Depends in debian/control

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Wed, 27 Aug 2008 15:14:18 +0200

nvidia-common (0.2.1) intrepid; urgency=low

  * add missing depends on pciutils

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 25 Jul 2008 11:12:47 +0200

nvidia-common (0.2) intrepid; urgency=low

  * Native version

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Tue, 22 Jul 2008 12:21:25 +0200

nvidia-common (0.1-0ubuntu12) intrepid; urgency=low

  * Bump for PPA

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Tue, 15 Jul 2008 15:11:51 +0200

nvidia-common (0.1-0ubuntu11) intrepid; urgency=low

  * Change the regex pattern so as to make use of the new pattern in the
    modalias files

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Tue, 15 Jul 2008 11:48:03 +0200

nvidia-common (0.1-0ubuntu10) intrepid; urgency=low

  * Drop CDBS in favour of python-central due to a bug in CDBS
  * Check the existence of /usr/share/jockey/modaliases
  * See if the modaliases files contain something useful

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Mon, 14 Jul 2008 17:47:35 +0200

nvidia-common (0.1-0ubuntu9) intrepid; urgency=low

  * Switch to python-support
  * nvdia-common and the config file should point to the executable file in
    /usr/bin

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Sun, 13 Jul 2008 13:54:20 +0200

nvidia-common (0.1-0ubuntu8) intrepid; urgency=low

  * Add dependency on the nvidia-VER-modaliases packages

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Sun, 13 Jul 2008 12:29:53 +0200

nvidia-common (0.1-0ubuntu7) intrepid; urgency=low

  * Remove makefile

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Sat, 12 Jul 2008 16:35:06 +0200

nvidia-common (0.1-0ubuntu6) intrepid; urgency=low

  * Correct DOMAIN in makefile

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Sat, 12 Jul 2008 15:42:05 +0200

nvidia-common (0.1-0ubuntu5) intrepid; urgency=low

  * Add build dependency on python2.4

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Sat, 12 Jul 2008 15:18:05 +0200

nvidia-common (0.1-0ubuntu4) intrepid; urgency=low

  * Add missing build dependency on the Python versions

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Sat, 12 Jul 2008 13:46:14 +0200

nvidia-common (0.1-0ubuntu3) intrepid; urgency=low

  * Put nvidia-common also in /etc/kernel/postinst.d/ so that it's triggered
    when a new kernel is installed too.

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Sat, 12 Jul 2008 13:21:08 +0200

nvidia-common (0.1-0ubuntu2) hardy; urgency=low

  * Switch to CDBS
  * Make it possible for nvidiadetector to be imported by other Python
    applications such as Update-Manager

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Sat, 12 Jul 2008 12:48:15 +0200

nvidia-common (0.1-0ubuntu1) intrepid; urgency=low

  * First release.

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Thu, 10 Jul 2008 15:13:50 +0200

=== debian/control ===
Source: nvidia-common
Section: contrib/x11
Priority: optional
Maintainer: Alberto Milone (tseliot) <albertomilone@alice.it>
Build-Depends: debhelper (>= 5), po-debconf, python-dev (>= 2.3), python-central
Standards-Version: 3.8.0
XS-Python-Version: all

Package: nvidia-common
Architecture: i386 amd64
Depends: ${python:Depends}, debconf (>= 0.5.00) | debconf-2.0, pciutils, nvidia-177-modaliases, nvidia-173-modaliases,
 nvidia-96-modaliases, nvidia-71-modaliases
XB-Python-Version: ${python:Versions}
Description: Find obsolete NVIDIA drivers
 This package will find obsolete NVIDIA drivers in use,
 detect the hardware and recommend the most appropriate
 driver.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHON	:= /usr/bin/python
PYVER   := $(shell $(PYTHON) -c 'import sys; print sys.version[:3]')

build: build-stamp

build-stamp:
	dh_testdir
	python setup.py build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf build
	-find . -name '*.py[co]' | xargs rm -f
	dh_clean
	-find . -name '*.log' | xargs rm -f

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	python setup.py install \
		--root=$(CURDIR)/debian/nvidia-common
	dh_installdebconf

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changes.txt
	dh_installdocs $(CURDIR)/debian/copyright
#	dh_installexamples examples/*
	dh_installman
	: # Replace all '#!' calls to python with $(PYTHON)
	: # and make them executable
	for i in `find debian -mindepth 3 -type f`; do \
	  sed '1s,#!.*python[^ ]*\(.*\),#! $(PYTHON)\1,' \
	        $$i > $$i.temp; \
	  if cmp --quiet $$i $$i.temp; then \
	    rm -f $$i.temp; \
	  else \
	    mv -f $$i.temp $$i; \
	    chmod 755 $$i; \
	    echo "fixed interpreter: $$i"; \
	  fi; \
	done
	dh_pycentral
	dh_installinit
	dh_compress -X.py
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## nvidia-common 0.2.4.2

=== debian/changelog ===
nvidia-common (0.2.4.2) intrepid-proposed; urgency=low

  * NvidiaDetector/nvidiadetector.py:
    - Exit without an error exit status in NvidiaDetection.__init__()
      so as not to break dist-upgrades if the modaliases are not
      installed (LP: #303825). 

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 14 Apr 2009 16:05:21 +0200

nvidia-common (0.2.4.1) intrepid-proposed; urgency=low

  * debian/control:
    - Now that the 180 series of drivers is stable, depend on the 180
      modaliases (LP: #342230).

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 24 Mar 2009 15:45:25 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: nvidia-common
 Architecture: i386 amd64
 Depends: ${python:Depends}, debconf (>= 0.5.00) | debconf-2.0, pciutils, nvidia-177-modaliases, nvidia-173-modaliases,
- nvidia-96-modaliases, nvidia-71-modaliases
+ nvidia-96-modaliases, nvidia-71-modaliases, nvidia-180-modaliases
 XB-Python-Version: ${python:Versions}
 Description: Find obsolete NVIDIA drivers
  This package will find obsolete NVIDIA drivers in use,

## nvidia-common 0.2.11

=== debian/changelog ===
nvidia-common (0.2.11) jaunty; urgency=low

  * do not sys.exit(0) in NvidiaDetection.__init__()
    but raise a exception instead (this code is imported
    by update-manager and the exit(0) exits it)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 20 Apr 2009 10:50:40 +0200

nvidia-common (0.2.10) jaunty; urgency=low

  * NvidiaDetector/nvidiadetector.py:
    - Exit without an error exit status in NvidiaDetection.__init__()
      so as not to break dist-upgrades if the modaliases are not
      installed (LP: #303825).
  * debian/rules:
    - Add "--install-layout=deb" to make sure that nvidia-detector
      is installed in /usr/bin/ instead of /usr/local/bin.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 14 Apr 2009 15:54:28 +0200

nvidia-common (0.2.9) jaunty; urgency=low

  * Include the symlinks in the package.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Feb 2009 22:41:02 +0100

nvidia-common (0.2.8) jaunty; urgency=low

  * debian/rules: add "export DH_PYCENTRAL=nomove" to avoid
    problems with dist-upgrades.

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Thu, 19 Feb 2009 14:39:36 +0100

nvidia-common (0.2.7) jaunty; urgency=low

  * NvidiaDetector/nvidiadetector.py:
    - add nvidia-glx-177 to
      the "oldPackages" list since 177 is no longer available
      in Jaunty.
    - make sure that drivers which have the modaliases and
      are in oldPackages are ignored.

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Wed, 04 Feb 2009 12:09:26 +0100

nvidia-common (0.2.6) jaunty; urgency=low

  * debian/control:
    - Drop dependency on nvidia-177-modaliases since it's not 
      compatible with Jaunty's X ABI.
    - Add Vcs-Bzr

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Fri, 30 Jan 2009 18:14:19 +0100

nvidia-common (0.2.5) jaunty; urgency=low

  * debian/control:
    - Now that the 180 series of drivers is stable, depend on the 180
      modaliases.

 -- Mario Limonciello <mario_limonciello@dell.com>  Thu, 08 Jan 2009 15:18:19 -0600

=== debian/control ===
Source: nvidia-common
Section: contrib/x11
Priority: optional
Maintainer: Alberto Milone (tseliot) <albertomilone@alice.it>
Build-Depends: debhelper (>= 5), po-debconf, python-dev (>= 2.3), python-central
Standards-Version: 3.8.0
XS-Python-Version: all
Vcs-Bzr: http://bazaar.launchpad.net/~albertomilone/nvidia-common/main

Package: nvidia-common
Architecture: i386 amd64
Depends: ${python:Depends}, debconf (>= 0.5.00) | debconf-2.0, pciutils, nvidia-180-modaliases, 
 nvidia-173-modaliases, nvidia-96-modaliases, nvidia-71-modaliases
XB-Python-Version: ${python:Versions}
Description: Find obsolete NVIDIA drivers
 This package will find obsolete NVIDIA drivers in use,
 detect the hardware and recommend the most appropriate
 driver.

## nvidia-common 0.2.15

=== debian/changelog ===
nvidia-common (0.2.15) karmic; urgency=low

  * debian/control:
    - Drop dependency on nvidia-180-modaliases.
    - Add dependency on nvidia-185-modaliases.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 19 Aug 2009 19:25:51 +0200

nvidia-common (0.2.14) karmic; urgency=low

  * Revert previous change, -185 is still in NEW.

 -- Steve Kowalik <stevenk@ubuntu.com>  Wed, 12 Aug 2009 15:37:12 +1000

nvidia-common (0.2.13) karmic; urgency=low

  * debian/control:
    - Drop dependency on nvidia-180-modaliases.
    - Add dependency on nvidia-185-modaliases.

 -- Alberto Milone <alberto.milone@canonical.com>  Sat, 08 Aug 2009 19:23:16 +0200

nvidia-common (0.2.12) karmic; urgency=low

  * debian/control:
    - Drop dependency on nvidia-71-modaliases.
  * NvidiaDetector/nvidiadetector.py:
    - Use a text file in /usr/share/nvidia-common/
      instead of hardcoding the list of obsolete
      packages in the program.
    - Add "obsolete" optional argument to the ctor so
      as to allow to change the default path to the
      list of obsolete packages.
    - Catch IOError if the path to the modalias files
      does not exist.
    - Flush stdout before printing (LP: #292606).
  * nvidia-common:
    - Prevent the script from failing when $LATEST is
      null.
  * setup.py:
    - Install share/obsolete to /usr/share/nvidia-common.
  * share/obsolete:
    - Add nvidia-glx-71.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 24 Jul 2009 17:03:18 +0200

## nvidia-common 0.2.15jolicloud0

=== debian/changelog ===
nvidia-common (0.2.15jolicloud0) robby; urgency=low

  * Rebuild against jolicloud robby

 -- Adam McDaniel <adam@jolicloud.org>  Sun, 03 Jan 2010 23:15:59 -0700

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 
 Package: nvidia-common
 Architecture: i386 amd64
-Depends: ${python:Depends}, debconf (>= 0.5.00) | debconf-2.0, pciutils, nvidia-180-modaliases, 
- nvidia-173-modaliases, nvidia-96-modaliases, nvidia-71-modaliases
+Depends: ${python:Depends}, debconf (>= 0.5.00) | debconf-2.0, pciutils, nvidia-185-modaliases, 
+ nvidia-173-modaliases, nvidia-96-modaliases
 XB-Python-Version: ${python:Versions}
 Description: Find obsolete NVIDIA drivers
  This package will find obsolete NVIDIA drivers in use,

## nvidia-common 0.2.15.1

=== debian/changelog ===
nvidia-common (0.2.15.1) karmic-proposed; urgency=low

  * debian/postinst:
    - remove leftover /etc/modprobe.d/lrm-video (LP: #459829)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 27 Oct 2009 17:09:34 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export DH_PYCENTRAL=include-links
 
 PYTHON	:= /usr/bin/python
 PYVER   := $(shell $(PYTHON) -c 'import sys; print sys.version[:3]')
@@ -31,7 +32,8 @@
 	dh_clean -k 
 	dh_installdirs
 	python setup.py install \
-		--root=$(CURDIR)/debian/nvidia-common
+		--root=$(CURDIR)/debian/nvidia-common \
+		 --install-layout=deb
 	dh_installdebconf
 
 # Build architecture-independent files here.

## nvidia-common 0.2.23

=== debian/changelog ===
nvidia-common (0.2.23) lucid; urgency=low

  * Drop unnecessary dependency on fglrx-modaliases.  It will be pulled in
    from jockey's recommends (and be removable then).

 -- Mario Limonciello <superm1@ubuntu.com>  Fri, 02 Apr 2010 10:34:06 -0500

nvidia-common (0.2.22) lucid; urgency=low

  * debian/control:
    - Add dependency on fglrx-modaliases.
  * debian/nvidia-common.config:
    - Put back the config script with only one line to source
      debconf so that the template file is loaded when
      nvidia-common is triggered by kernel hooks (LP: #533970).
      Thanks to Colin Watson for the advice.
  * NvidiaDetector/alternatives.py:
    - Add the update_gmenu method and call it in set_alternative
      so that the gnome menu is updated when we switch between
      drivers (LP: #548751).
    - Add the resolve_module_alias method so as to retrieve the
      module name from the alias (relevant to #547066).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 15 Mar 2010 16:44:17 +0100

nvidia-common (0.2.21) lucid; urgency=low

  * Make sure that /etc/modprobe.d/lrm-video is removed
    so that it doesn't interfere with nvidia (LP: #467490).
  * debian/nvidia-common.postinst:
    - Remove db_stop as suggested by Colin Watson, as it
      can do more harm than good there.
    - Move the debconf part into the postinst and get rid
      of the config script (which was run before
      nvidia-common was configured, with unpredictable
      results). Thanks to Colin Watson for the advice.
    - Don't test the existence of nvidia-detector.
  * share/obsolete:
    - Add nvidia-glx-{190|195} so as to take care of
      packages from PPAs.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 03 Mar 2010 13:13:51 +0100

nvidia-common (0.2.20) lucid; urgency=low

  * NvidiaDetector/alternatives.py:
    - Make sure that the PATH environment variable is set
      so that subprocess knows where to find binaries in
      /sbin (LP: #518879).

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 16 Feb 2010 16:35:35 +0100

nvidia-common (0.2.19) lucid; urgency=low

  * NvidiaDetector/alternatives.py:
    - Call ldconfig after setting an alternative.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 04 Feb 2010 15:10:19 -0800

nvidia-common (0.2.18) lucid; urgency=low

  * NvidiaDetector/alternatives.py:
    - Set self.__open_drivers_alternative to 'mesa/ld.so.conf' so as to
      adapt to the fact that the alternative lives in mesa now.
    - Do not pass arguments to the list_alternatives method.
    - Use subprocess.check_call instead of .call so as to get the exit
      status in addition to the return code. 

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 19 Jan 2010 17:18:45 +0100

nvidia-common (0.2.17) lucid; urgency=low

  * setup.py:
    - Add pre-inst hook for the NVIDIA installer as
      the latter may interact badly with the Ubuntu
      packages(LP: #317703).
  * NvidiaDetector/nvidiadetector.py:
    - Handle driver flavours which have strings (instead
      of integers in their name).
  * NvidiaDetector/alternatives.py:
    - Alternatives class to get the list of alternatives
      and to get and set the alternative in use.
  * nvidia-common:
    - ${LATEST} should have quotation marks (LP: #505855).


 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 11 Jan 2010 18:13:11 +0100

nvidia-common (0.2.16) lucid; urgency=low

  * debian/control::
    - Depends on nvidia-current-modaliases since 185 is no longer used.

 -- Mario Limonciello <superm1@ubuntu.com>  Sun, 10 Jan 2010 14:45:14 -0800

## nvidia-common 0.2.24

=== debian/changelog ===
nvidia-common (0.2.24) maverick; urgency=low

  * NvidiaDetector/alternatives.py:
    - Call "dpkg --configure -a" after using dpkg-trigger so
      that the cache is regenerated (LP: #548751).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 23 Sep 2010 15:37:27 +0200

## nvidia-common 0.2.24jolicloud1

=== debian/changelog ===
nvidia-common (0.2.24jolicloud1) robby-1.2; urgency=low

  * Do not force a model's default driver name to be an integer (re:
    "legacy-173")

 -- Adam McDaniel <adam@jolicloud.org>  Mon, 07 Feb 2011 09:19:12 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: nvidia-common
 Architecture: i386 amd64
-Depends: ${python:Depends}, debconf (>= 0.5.00) | debconf-2.0, pciutils, nvidia-185-modaliases, 
+Depends: ${python:Depends}, debconf (>= 0.5.00) | debconf-2.0, pciutils, nvidia-current-modaliases, 
  nvidia-173-modaliases, nvidia-96-modaliases
 XB-Python-Version: ${python:Versions}
 Description: Find obsolete NVIDIA drivers

## nvidia-common 0.2.30

=== debian/changelog ===
nvidia-common (0.2.30) natty; urgency=low

  * debian/control:
    - Set the section to "admin" so that vrms doesn't complain about
      the package even though it contains only free software (LP: #745904).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 06 Apr 2011 17:15:51 +0200

nvidia-common (0.2.29) natty; urgency=low

  * NvidiaDetector/nvidiadetector.py:
    - Strip the architecture from the package name. This makes sure we
      extract the driver flavour correctly (LP: #752101).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 06 Apr 2011 16:23:15 +0200

nvidia-common (0.2.28) natty; urgency=low

  * debian/control: Add conflicts/replaces to the old -modalias packages, to
    clean them up. They are causing unwanted and nonworking driver offerings.
    (LP: #717776)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 07 Mar 2011 18:59:10 +0100

nvidia-common (0.2.27) natty; urgency=low

  * nvidia-detector:
    - Initialise NvidiaDetection() with verbose=False. This should avoid
      problems when dealing with debconf (LP: #698327). 

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 18 Jan 2011 18:15:44 +0100

nvidia-common (0.2.26) natty; urgency=low

  * NvidiaDetector/nvidiadetector.py: Fix __get_value_from_name() to only
    convert the string to an int if we don't have an explicit override.
    (LP: #692022)
  * debian/nvidia-common.postinst: When calling nvidia-detector, only consider
    the last line, to ignore other messages before the "None". (LP: #692096)
  * debian/control: Add missing ${misc:Depends}.
  * debian/control, debian/rules, debian/compat: Move to "dh", compat level 7,
    and build with dh_python2, which greatly simplifies the build system.
  * debian/control: Set Maintainer to standard "ubuntu developers".
  * debian/nvidia-common.config: Add missing set -e, thanks lintian.
  * debian/nvidia-common.postinst: Drop obsolete upgrade handling.
  * Use "3.0 (quilt)" source package format.
  * debian/control: Bump Standards-Version to 3.9.1.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 19 Dec 2010 11:29:51 +0100

nvidia-common (0.2.25) natty; urgency=low

  * NvidiaDetector/nvidiadetector.py: Drop code to read
    /usr/share/jockey/modaliases, and scan for "Modaliases:" package headers
    instead. Add dependency to python-apt.
  * debian/control: Drop Vcs-Bzr:. That branch is ancient, and we should use
    lp:ubuntu/nvidia-common now anyway.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 18 Dec 2010 20:27:26 +0100

nvidia-common (0.2.24build1) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Dec 2010 13:08:06 +0000

=== debian/control ===
Source: nvidia-common
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
 po-debconf,
 python (>= 2.6),
Standards-Version: 3.9.1
XS-Python-Version: >= 2.6

Package: nvidia-common
Architecture: i386 amd64
Depends: ${python:Depends}, 
 ${misc:Depends},
 debconf (>= 0.5.00) | debconf-2.0,
 pciutils,
 python-apt
Replaces: nvidia-180-modaliases, nvidia-185-modaliases, nvidia-current-modaliases
Conflicts: nvidia-180-modaliases, nvidia-185-modaliases, nvidia-current-modaliases
XB-Python-Version: ${python:Versions}
Description: Find obsolete NVIDIA drivers
 This package will find obsolete NVIDIA drivers in use,
 detect the hardware and recommend the most appropriate
 driver.

## nvidia-common 0.2.30.1

=== debian/changelog ===
nvidia-common (0.2.30.1) natty-proposed; urgency=low

  * debian/nvidia-common.preinst:
    - Make sure to remove any leftover kernel hooks from nvidia-common.
  * debian/nvidia-common.postinst:
    - Disable the debconf interface.
  * NvidiaDetector/nvidiadetector.py:
    - Ignore "-updates" flavours and recommend only stable flavours.
      This fixes a crash in the nvidia detector which can also be
      reproduced on dist-upgrades when upgrading the kernel (LP: #825259).
  * setup.py:
    - Disable kernel hooks.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 25 Aug 2011 14:34:46 +0200

## nvidia-common 0.2.35

=== debian/changelog ===
nvidia-common (1:0.2.35) oneiric; urgency=low

  * NvidiaDetector/alternatives.py:
    - Return the correct alternative when dealing with "updates"
      driver flavours in get_alternative_by_name(). This allows
      Jockey to correctly detect the alternatives provided by
      different drivers (LP: #841462).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 07 Sep 2011 10:59:20 +0200

nvidia-common (1:0.2.34) oneiric; urgency=low

  * debian/nvidia-common.preinst:
    - Use dpkg-maintscript-helper to remove conffiles.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 25 Aug 2011 12:36:19 +0200

nvidia-common (1:0.2.33) oneiric; urgency=low

  * debian/nvidia-common.preinst:
    - Make sure to remove any leftover kernel hooks from nvidia-common.
  * debian/nvidia-common.postinst:
    - Disable the debconf interface.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 17 Aug 2011 16:59:06 +0200

nvidia-common (1:0.2.32) oneiric; urgency=low

  * NvidiaDetector/alternatives.py:
    - Remove trailing whitespace.
  * NvidiaDetector/nvidiadetector.py:
    - Remove trailing whitespace.
    - Ignore "-updates" flavours and recommend only stable flavours.
      This fixes a crash in the nvidia detector.
  * setup.py:
    - Disable kernel hooks.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 12 Aug 2011 17:33:04 +0200

nvidia-common (1:0.2.31) oneiric; urgency=low

  * NvidiaDetector/alternatives.py:
    - Replace __ with _ for private methods.
    - Make Alternatives a new-style class.
    - Add MultiArchUtils class so that Jockey can get the names of
      multi-arch alternatives (LP: #798049).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 24 Jun 2011 18:11:31 +0200

nvidia-common (1:0.2.30+1) oneiric; urgency=low

  * Add epoch to override the sync. The packages in Debian and Ubuntu
    have the same name but different code and scope (LP: #792576).

 -- Alberto Milone <alberto.milone@canonical.com>  Sat, 04 Jun 2011 12:13:27 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 Package: nvidia-common
 Architecture: i386 amd64
+Pre-Depends: dpkg (>= 1.15.7.2)
 Depends: ${python:Depends}, 
  ${misc:Depends},
  debconf (>= 0.5.00) | debconf-2.0,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@" --with python2

## nvidia-common 0.2.44

=== debian/changelog ===
nvidia-common (1:0.2.44) precise; urgency=low

  [ Ricardo Salveti de Araujo ]
  * Make it possible to use nvidia-common with arm/gles
    drivers (LP: #977245).

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 10 Apr 2012 11:33:06 +0200

nvidia-common (1:0.2.43) precise; urgency=low

  * Do not apply multiple quirks when facing multiple values
    for a tag. This was causing nvidia-common to apply quirks
    that are not specific to the hardware in use.
  * Make sure never to add quirks without an id.
  * Improve test 3 and 4 of the test suite:
    - Add testcase for matching multiple products at the same
      time.
    - Make sure to parse config files in the quirks directory.
    - Change the name of the handlers used in the tests so
      that they don't conflict with the ones in the quirks
      files.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 06 Apr 2012 18:22:23 +0200

nvidia-common (1:0.2.42) precise; urgency=low

  * Fix broken hybrid-gfx upstart job.

 -- StÃ©phane Graber <stgraber@ubuntu.com>  Thu, 22 Mar 2012 16:38:16 -0400

nvidia-common (1:0.2.41) precise; urgency=low

  * Add a test suite and run it at build time with dh_auto_test.
  * Work correctly when the pipe symbol is used in "Match" tags.
    This symbol only worked when used in the "Handler" tag.
    Both test cases are covered in the test suite.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 12 Mar 2012 12:30:52 +0100

nvidia-common (1:0.2.40) precise; urgency=low

  * Add quirks to get brightness keys to work on Lenovo T420s
    (LP: #773710) and on Dell Latitude E6530 (LP: #914069)
    when using NVIDIA's proprietary driver.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 08 Mar 2012 11:30:56 +0100

nvidia-common (1:0.2.39) precise; urgency=low

  * Re-enable support for Hybrid Graphics now that the driver
    packages are fixed.

 -- Alberto Milone <alberto.milone@canonical.com>  Sat, 18 Feb 2012 09:48:35 +0100

nvidia-common (1:0.2.38) precise; urgency=low

  * Add support for Hybrid graphics, disabled by default for now.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 15 Feb 2012 18:04:29 +0100

nvidia-common (1:0.2.37) precise; urgency=low

  * Quirks, quirks-handler:
    - Add module and script to create quirks for graphics drivers.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 03 Feb 2012 13:57:10 +0100

nvidia-common (1:0.2.36) precise; urgency=low

  * NvidiaDetector/alternatives.py:
    - Add optional ignore_pattern argument to get_alternative_by_name.
      This argument allows ignoring a substring in the name. This is
      required in the case of fglrx and fglrx-updates which share the
      same master link name (LP: #873058).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 16 Nov 2011 17:04:21 +0100

## nvidia-common 0.2.44.2

=== debian/changelog ===
nvidia-common (1:0.2.44.2) precise-proposed; urgency=low

  * NvidiaDetector/nvidiadetector.py:  When a package has multiple words
    separated with -'s, use only the last element as the driver version.
    (LP: #1047681)

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 27 Sep 2012 22:27:56 -0700

nvidia-common (1:0.2.44.1) precise-proposed; urgency=low

  [Alberto Milone]
  * NvidiaDetector/nvidiadetector.py:
    - Add support for -experimental flavours (LP: #1047681).
  * Don't write to /usr/share for hybrid graphics
    detection, use /var/lib instead (LP: #976779).

  [Bryce Harrington]
  * nvidia-common.templates: Fix lintian error (trailing whitespace)

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 26 Sep 2012 17:12:03 -0700

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,23 @@
 Build-Depends: debhelper (>= 7.0.50~),
  po-debconf,
  python (>= 2.6),
+ libpciaccess-dev (>= 0.12.1-2),
+ lib32gcc1 [amd64], libc6-i386 [amd64],
+ linux-libc-dev,
+ pkg-config,
+ python-xkit
 Standards-Version: 3.9.1
 XS-Python-Version: >= 2.6
 
 Package: nvidia-common
-Architecture: i386 amd64
+Architecture: i386 amd64 armel armhf
 Pre-Depends: dpkg (>= 1.15.7.2)
 Depends: ${python:Depends}, 
  ${misc:Depends},
  debconf (>= 0.5.00) | debconf-2.0,
  pciutils,
- python-apt
+ python-apt,
+ python-xkit
 Replaces: nvidia-180-modaliases, nvidia-185-modaliases, nvidia-current-modaliases
 Conflicts: nvidia-180-modaliases, nvidia-185-modaliases, nvidia-current-modaliases
 XB-Python-Version: ${python:Versions}

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@" --with python2

override_dh_auto_test:
	(cd tests; PYTHONPATH=.. ./run)

override_dh_clean:
	rm -f share/hybrid/hybrid-detect
	rm -f quirksreader_test*.txt
	dh_clean
